matrix:
  platform:
  - debian10
  - ubuntu2004
  - macos
  - macos_arm64
  bazel:
  - 7.x
  - 8.x
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_targets:
    - '@brotli_go//cbrotli'
    build_flags:
      - "--conlyopt=-Wno-error=conversion"
      - "--conlyopt=-Wno-error=sign-conversion"
      - "--copt=-Wno-error=conversion"
      - "--copt=-Wno-error=sign-conversion"
      - "--host_conlyopt=-Wno-error=conversion"
      - "--host_copt=-Wno-error=conversion"
    test_targets:
    - '@brotli_go//cbrotli:cbrotli_test'
    test_flags:
      - "--conlyopt=-Wno-error=conversion"
      - "--conlyopt=-Wno-error=sign-conversion"
      - "--copt=-Wno-error=conversion"
      - "--copt=-Wno-error=sign-conversion"
      - "--host_conlyopt=-Wno-error=conversion"
      - "--host_copt=-Wno-error=conversion"
